# -*- encoding: utf-8 -*-
# stub: opt_parse_validator 1.10.1 ruby lib

Gem::Specification.new do |s|
  s.name = "opt_parse_validator".freeze
  s.version = "1.10.1".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["WPScanTeam".freeze]
  s.date = "2025-02-23"
  s.description = "Implementation of validators for the ruby OptionParser lib. Mainly used in the CMSScanner gem to define the cli options available".freeze
  s.email = ["contact@wpscan.com".freeze]
  s.homepage = "https://github.com/wpscanteam/OptParseValidator".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 3.0".freeze)
  s.rubygems_version = "3.5.22".freeze
  s.summary = "Ruby OptionParser Validators".freeze

  s.installed_by_version = "3.6.9".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<activesupport>.freeze, [">= 5.2".freeze, "< 8.1.0".freeze])
  s.add_runtime_dependency(%q<addressable>.freeze, [">= 2.5".freeze, "< 2.9".freeze])
  s.add_runtime_dependency(%q<ostruct>.freeze, ["~> 0.6".freeze])
  s.add_development_dependency(%q<bundler>.freeze, [">= 1.6".freeze])
  s.add_development_dependency(%q<rake>.freeze, ["~> 13.0".freeze])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.13.0".freeze])
  s.add_development_dependency(%q<rspec-its>.freeze, ["~> 2.0.0".freeze])
  s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.72.2".freeze])
  s.add_development_dependency(%q<rubocop-performance>.freeze, ["~> 1.19.0".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.22.0".freeze])
  s.add_development_dependency(%q<simplecov-lcov>.freeze, ["~> 0.8.0".freeze])
end
